const mongoose = require("mongoose");
const Tickets = mongoose.model(
  "Tickets",
  new mongoose.Schema({
    document_number: { type: String, required: true },
    target_price: { type: String },
    currency: { type: String },
    date_of_communication: { type: Date, required: true },
    date: { type: Date, required: true },
    schedule_date: { type: Date },
    priority: { type: String },
    priority_color: { type: String },
    to: { type: String },
    sample_product: { type: Boolean },
    customer_code: { type: String },
    customer_name: { type: String },
    category: { type: String, required: true },
    target_date: { type: Date, required: true },
    status: { type: String, required: true },
    status_code: { type: String, required: true },
    information: { type: Array, required: true },
    history: { type: Array, required: true },
    sample: { type: Array },
    formula: { type: Array },
    is_active: { type: Boolean, required: true },
    pic: { type: String, required: true },
    pic_name: { type: String, required: true },
    created_at: { type: Date },
    created_by: { type: String },
    updated_at: { type: Date },
    updated_by: { type: String },
  }),
  "tickets"
);
module.exports = Tickets;
